Subject: RE: Odd mount and path problem
From: "Robinow, David" <[email-masked]>
To: "'Larry V. Streepy, Jr.'" <[email-masked]>
Cc: [email-masked]
Date: Tue, 23 Jul 2002 15:02:03 -0400

> From: Larry V. Streepy, Jr. [mailto:[email-masked]]
> Subject: Re: Odd mount and path problem
> ...
> I know how Unix works, I've got 20 years of Unix history.  I fully 
> understand how mount operations work under Unix.  The issue 
> here is how 
> cygwin interprets paths with regard to drive letters.  I made the 
> mistake of assuming that the drive letter for / would be inherited by 
> all things mounted on / unless otherwise specified.
 OK, obviously I misunderstood where you were coming from.
> 
> >>This is an area that the user guide could definitely use work on.
...
> 
> This has nothing to do with being a Unix novice.  It's about a 
> conceptual model for how cygwin merges the world of Unix and 
> Windows.  I 
> don't need a primer on Unix, I need a description of how cygwin makes 
> the two worlds work together.  Personally, I think some critical 
> information, as revealed in the last few emails, is missing from the 
> user guide.  Being an expert in both worlds wouldn't have made this 
> clear.  The one paragraph description that you provided did, and it 
> should be in the user guide or at least in the FAQ.
> 
 Well as they say, "Patches gratefully accepted."
 Personally, I think fixing mount to disallow the absence of a drive letter
is the way to go.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/